> For the complete documentation index, see [llms.txt](https://nviasoft.gitbook.io/nviasoft-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://nviasoft.gitbook.io/nviasoft-docs/api-reference/item-parsing/getnextevent.md).

# GetNextEvent

### int GetNextEvent(ref short nEventID, ref int lParam)

Message Queue에 처리되지 않은 Event 가 남아 있을 경우 해당 Event를 얻어 옴.

{% hint style="info" %}
일반적인 상황에서 EZGemPlus의 이벤트는 문제없이 사용자에게 전달됩니다. 하지만 예상치 못한 상황(부하 증가로 인한 시스템 리소스 확보불가)으로 인해 사용자에게 이벤트가 전달되지 못하는 경우가 발생할 수도 있습니다. 이에 대비하여 해당 함수는 사용자가 원할 때 EZGemPlus의 Event Queue에 있는 Event를 가져올 수 있는 기능을 제공합니다.
{% endhint %}

Parameters

<table data-header-hidden><thead><tr><th width="180" valign="top"></th><th width="118" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">nEventID</td><td valign="top">ref short</td><td valign="top">Event ID를 받을 변수</td></tr><tr><td valign="top">lParam</td><td valign="top">ref int</td><td valign="top">lParam을 받을 변수</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/item-parsing/getnextevent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
